Package org.eclipse.viatra.transformation.evm.api.event

## Enum ActivationState.DynamicActivationState

- java.lang.Object
- - java.lang.Enum<ActivationState.DynamicActivationState>
  - - org.eclipse.viatra.transformation.evm.api.event.ActivationState.DynamicActivationState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ActivationState.DynamicActivationState>`, `ActivationState`
  Enclosing interface:
    ActivationState

      public static enum ActivationState.DynamicActivationState
      extends java.lang.Enum<ActivationState.DynamicActivationState>
      implements ActivationState

  An enum of activation states where the state should follow CRUD (Create/Read/Update/Dispose) events.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.transformation.evm.api.event.ActivationState

      `ActivationState.DynamicActivationState`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APPEARED` |
    `DISAPPEARED` |
    `FIRED` |
    `INACTIVE` |
    `UPDATED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isInactive()` |
    `static ActivationState.DynamicActivationState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ActivationState.DynamicActivationState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INACTIVE

          public static final ActivationState.DynamicActivationState INACTIVE

    - #### APPEARED

          public static final ActivationState.DynamicActivationState APPEARED

    - #### FIRED

          public static final ActivationState.DynamicActivationState FIRED

    - #### UPDATED

          public static final ActivationState.DynamicActivationState UPDATED

    - #### DISAPPEARED

          public static final ActivationState.DynamicActivationState DISAPPEARED

  - ### Method Detail

    - #### values

          public static ActivationState.DynamicActivationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActivationState.DynamicActivationState c : ActivationState.DynamicActivationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActivationState.DynamicActivationState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isInactive

          public boolean isInactive()

      Specified by:
        `isInactive` in interface `ActivationState`